## resiprocate 1.11.0~beta5

=== contrib/cajun/Makefile ===
EXE_NAME = ./test.out

$(EXE_NAME): test.cpp
	g++ -Iinclude -o $@ $^

clean:
	-rm $(EXE_NAME)
