=== debian/changelog ===
resiprocate (1:1.11.0~beta5-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 29 Jun 2017 10:43:00 +0200

resiprocate (1:1.11.0~beta4-1) unstable; urgency=medium

  * New upstream release.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 28 Jun 2017 17:00:32 +0200
